SELECT "documents_corpus"."created",
       "documents_corpus"."updated",
       "documents_corpus"."id",
       "documents_corpus"."name",
       "documents_corpus"."description",
       "documents_corpus"."top_level_type_id",
       "documents_corpus"."public",
       "documents_corpus"."indexable",
       "documents_corpus"."maximum_task_ttl"
FROM "documents_corpus"
WHERE "documents_corpus"."id" = '{corpus_id}'::uuid
LIMIT 21;

SELECT COUNT(*) AS "__count"
FROM "documents_element"
WHERE ("documents_element"."corpus_id" = '{corpus_id}'::uuid
       AND "documents_element"."corpus_id" = '{corpus_id}'::uuid);

SELECT "documents_element"."id",
       "documents_element"."created",
       "documents_element"."updated",
       "documents_element"."corpus_id",
       "documents_element"."type_id",
       "documents_element"."name",
       "documents_element"."creator_id",
       "documents_element"."worker_version_id",
       "documents_element"."worker_run_id",
       "documents_element"."image_id",
       "documents_element"."polygon"::bytea,
       "documents_element"."rotation_angle",
       "documents_element"."mirrored",
       "documents_element"."confidence",
       "process_workerrun"."id",
       "process_workerrun"."process_id",
       "process_workerrun"."version_id",
       "process_workerrun"."model_version_id",
       "process_workerrun"."parents",
       "process_workerrun"."configuration_id",
       "process_workerrun"."summary",
       "process_workerrun"."created",
       "process_workerrun"."updated",
       "process_workerrun"."has_results",
       "process_workerrun"."use_gpu",
       "process_workerrun"."ttl"
FROM "documents_element"
LEFT OUTER JOIN "process_workerrun" ON ("documents_element"."worker_run_id" = "process_workerrun"."id")
WHERE ("documents_element"."corpus_id" = '{corpus_id}'::uuid
       AND "documents_element"."corpus_id" = '{corpus_id}'::uuid)
ORDER BY "documents_element"."name" ASC,
         "documents_element"."id" ASC
LIMIT 20
